org.eclipse.jface.databinding.viewers

## Interface IViewerObservableSet

All Superinterfaces:
  Collection, IObservable, IObservableCollection, IObservableSet, Iterable, IViewerObservable, Set

    public interface IViewerObservableSet
    extends IObservableSet, IViewerObservable

`IObservableSet` observing a JFace Viewer.

Since:
  1.2

### Method Summary

### Methods inherited from interface org.eclipse.core.databinding.observable.set.IObservableSet

`add, addAll, addSetChangeListener, contains, containsAll, equals, getElementType, hashCode, isEmpty, iterator, remove, removeAll, removeSetChangeListener, retainAll, size, toArray, toArray`

### Methods inherited from interface java.util.Set

`clear, spliterator`

### Methods inherited from interface org.eclipse.core.databinding.observable.IObservable

`addChangeListener, addDisposeListener, addStaleListener, dispose, getRealm, isDisposed, isStale, removeChangeListener, removeDisposeListener, removeStaleListener`

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface org.eclipse.jface.databinding.viewers.IViewerObservable

`getViewer`